Subject: bug#51505: Request for official docker image on dockerhub

From: zimoun <[email-masked]>
Date: Mon, 13 Feb 2023 11:01:58 +0100

Hi,

On Thu, 09 Feb 2023 at 18:20, Eugen Stan <[email-masked]> wrote:

> I also think it would be a great idea to have guix running inside docker.
>
> I tried to adopt guix as a package maanger in our CI/CD pipeline and I 
> could not run it inside a debian Docker image.

Yeah, it could be helpful.  In addition to Denis comment, I just would
like to point that you do not necessary need that Guix is running inside
Docker but you often only need some packages inside this Docker.

Other said, for deploying on non-Guix infrastructure, I often use Guix
as a Docker factory via “guix pack -f docker -m manifest.scm” where
manifest.scm only contains the packages required by my pipeline (or even
sometime only one pack for each node of the pipeline).

Similarly, I use “guix system image -t docker”, barely.

Cheers,
simon